Bug 450554 - GLX segfault crashes X
GLX segfault crashes X
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 12:01 EDT by jmh01234
Modified: 2009-07-14 13:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:43:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log when using xorg.conf (28.57 KB, text/plain)
2008-06-09 12:01 EDT, jmh01234
no flags Details
Output from lspci (1.81 KB, text/plain)
2008-06-09 12:02 EDT, jmh01234
no flags Details
xorg.conf file (1.12 KB, text/plain)
2008-06-09 12:02 EDT, jmh01234
no flags Details
Xorg log when using no xorg.conf file (31.00 KB, text/plain)
2008-06-09 12:03 EDT, jmh01234
no flags Details

  None (edit)
Description jmh01234 2008-06-09 12:01:03 EDT
Description of problem:

It appears the GLX module can segfault and bring down the X server. This tends
to happen on application exit (though not with all applications -- at the very
least, it affects SDL apps). The crash can be reproduced when booting from the
LiveCD of Fedora 9 as well.

All available updates as of 09-Jun-2008 were applied; no change observed.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.i386

How reproducible:
Reliable as clockwork.

Steps to Reproduce:
1. Start program (example one that triggers the crash is included below)
2. Exit program. X dies.
  
Actual results:

Entire X server goes boom.

Expected results:

X server does not go boom.

Additional info:

To verify that this was not due to some driver configuration issue, the program
was tested after booting from the F9 GNOME LiveCD. The crash is seen here as
well. Also tried with no xorg.conf file (i.e., letting X use its built-in
defaults). No change.

Test case that triggers the crash
-------------------------------------------------------
#include <SDL/SDL.h>
#include <GL/gl.h>
#include <GL/glu.h>

using namespace std;

int main(int argc, char* argv[])
{

    SDL_Init(SDL_INIT_EVERYTHING);
    SDL_GL_SetAttribute(SDL_GL_RED_SIZE,8);
    SDL_GL_SetAttribute(SDL_GL_GREEN_SIZE,8);
    SDL_GL_SetAttribute(SDL_GL_BLUE_SIZE,8);
    SDL_GL_SetAttribute(SDL_GL_DOUBLEBUFFER,1);
    SDL_GL_SetAttribute(SDL_GL_DEPTH_SIZE,16);
    SDL_GL_SetAttribute(SDL_GL_STENCIL_SIZE,8);
    SDL_Surface* win = SDL_SetVideoMode(512,512,24,SDL_OPENGL);

    SDL_Quit();

    return 0;

}
Comment 1 jmh01234 2008-06-09 12:01:03 EDT
Created attachment 308701 [details]
Xorg.0.log when using xorg.conf
Comment 2 jmh01234 2008-06-09 12:02:09 EDT
Created attachment 308703 [details]
Output from lspci
Comment 3 jmh01234 2008-06-09 12:02:42 EDT
Created attachment 308704 [details]
xorg.conf file
Comment 4 jmh01234 2008-06-09 12:03:24 EDT
Created attachment 308705 [details]
Xorg log when using no xorg.conf file
Comment 5 Bug Zapper 2009-06-09 21:30:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:43:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.